/*
	LoadStateCmd.h - load mixdown/spatialise setup

	Will Eighteen, 2000-2006: will@opaline.demon.co.uk
*/

#ifndef LOADSTATECMD_H
#define LOADSTATECMD_H

#include <NoUndoCmd.h>


class FileSelect;

class LoadStateCmd : public NoUndoCmd
{
	public:
		LoadStateCmd ( char *, int );
		
	protected:
		virtual void doCommand();
		char *_name;

	private:
		static void stateSelectedCallback ( void *, char * );
//		static void helpCallback ( void * );
		static void stateCancelledCallback ( void * );

		void stateSelected ( char * );
		FileSelect *_fileSelect;
		Boolean _popupRealised;
};


#endif
